### HOMEPAGE
socialNetworkLogo = //img[contains(@alt,'logo')]
haveAnAccountButton = //p[contains(.,'Have an account?')]
searchField = //input[contains(@type,'text')]
firstUser = //div[contains(.,'Boryana Bozhkova')]


### PUBLIC PROFILES INFO
publicUserFirstName = //b[contains(.,'First name:')]
publicUserLastName = //b[contains(.,'Last name:')]
publicUserAge = //b[contains(.,'Age:')]


### LOGIN FORM
emailLoginField = //input[contains(@type,'email')]
passwordLoginField = //input[contains(@type,'password')]
loginButton = //input[contains(@type,'submit')]


### REGISTRATION FORM
newUserButton = //p[contains(.,'New User?')]
firstNameField = //input[contains(@placeholder,'First name')]
lastNameField = //input[contains(@placeholder,'Last name')]
emailRegistrationField = //input[contains(@type,'email')]
passwordField = //input[contains(@placeholder,'Password')]
confirmPasswordField = //input[contains(@placeholder,'Confirm password')]
signUpButton = //input[contains(@type,'submit')]
ageField = //input[contains(@type,'number')]
genderMenu = //select[contains(@class,'form-control')]
createProfileButton = //input[contains(@type,'submit')]


### POST - CREATE, LIKE, EDIT, DELETE
postField = //input[contains(@name,'text')]
createPostButton = //button[@type='button'][contains(.,'Post')]
post = //p[@class='post-text text']
likeButton = //div[@class='reaction']
threeDotsButton = (//i[contains(@class,'fas fa-ellipsis-h float-right margin-right-1 post-opt')])[1]
deletePost = (//p[contains(@class,'del-opt')])[2]
editPost = (//p[@class='edit-opt'][contains(.,'Edit')])[1]
editPostField = //p[contains(@style,'border-bottom: 1px solid black;')]
savePostEdit = //p[@class='save-opt'][contains(.,'Save')]


### COMMENT
postCard = //div[@class="card-post"]
addACommentField = //input[contains(@placeholder, "Add a comment")]
addAComment = //button[@class="comment-add"]
commentIsPosted = //li[contains(.,'Lorem Ipsum sis amet')]


### REGISTERED USERS - HOMEPAGE
optionsButton = //span[contains(.,'Options')]
logOutButton = //span[contains(.,'Logout')]
newestMembersArea = //h3[contains(.,'Newest members')]
clickToViewProfile = //a[contains(@href, '/profiles/2')]
publicFeed = //a[contains(.,'Public feed')]
publicFeedTab = //a[@id="publicFeedTab"]
wallButton = //a[contains(.,'Wall')]


### PROFILE ADMINISTRATION/EDIT
profileAdministrationButton = (//span[contains(.,'Profile')])[2]
profileInfo = //a[contains(.,'Profile')]
profileEditInfo = //button[@type='button'][contains(.,'Edit profile')]
firstNameEditField = //input[contains(@name,'firstName')]
lastNameEditField = //input[contains(@name,'lastName')]
professionalNicknameField = //input[contains(@name,'nickname')]
genderDropDownMenu = //select[contains(@class,'form-control')]
styleField = //input[contains(@name,'style')]
aboutMeField = //textarea[contains(@class,'form-control')]
saveProfileEditChanges = //input[contains(@id,'btn-save-profile')]
changeProfilePicture = //button[@type='button'][contains(.,'Change profile picture')]
browse = //input[contains(@id,'profile-pic-upload-btn')]
saveChanges = //input[contains(@id,'btn-save-picture')]


### NOTIFICATIONS
notificationsMenu = //span[@class='hidden-xs hidden-sm'][contains(.,'Notifications')]
likeNotification = //a[contains(.,' liked your publication!')]
commentNotification = //a[contains(.,' commented your publication!')]
friendNotification = //a[contains(.,' sent you friend request!')]


###FRIENDS
addAFriend = //button[@type='button'][contains(.,'Add friend')]
removeAFriend = //button[@type='button'][contains(.,'Decline friendship')]
acceptFriend = //button[@type='button'][contains(.,'Accept')]
friendship = //button[@type='button'][contains(.,'Friendship')]
removeFriend = //a[@class='dropdown-item text-center remove-fr'][contains(.,'Remove friend')]
friends = //a[contains(.,'Friends')]
userFriends = //div[contains(@class,'row row-user-list friend')]
friendProfile = //div[@class='col-sm-7 col-xs-9'][contains(.,' ')]
profile = //span[@class='hidden-xs hidden-sm'][contains(.,'Profile')]